Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator
Class AnnotationActionValidatorManager.InternalValidatorContextWrapper

    java.lang.Object
      com.opensymphony.xwork2.validator.AnnotationActionValidatorManager.InternalValidatorContextWrapper

Enclosing class:
  AnnotationActionValidatorManager

    protected class AnnotationActionValidatorManager.InternalValidatorContextWrapper

extends java.lang.Object

An `ValidatorContext` wrapper that returns the full field name `getFullFieldName(String)` by consulting it's parent if its an `VisitorFieldValidator.AppendingValidatorContext`.

Eg. if we have nested Visitor AddressVisitor nested inside PersonVisitor, when using the normal #getFullFieldName, we will get "address.somefield", we lost the parent, with this wrapper, we will get "person.address.somefield". This is so that the key is used to register errors, so that we don't screw up short-curcuit feature when using nested visitor. See XW-571 (nested visitor validators break short-circuit functionality) at http://jira.opensymphony.com/browse/XW-571

Method Summary
`java.lang.String` | `getFullFieldName(java.lang.String field)` Get the full field name by consulting the parent, so that when we are using nested visitors ( visitor nested inside visitor etc.) we still get the full field name including its parents.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFullFieldName

    public java.lang.String getFullFieldName(java.lang.String field)

  Get the full field name by consulting the parent, so that when we are using nested visitors ( visitor nested inside visitor etc.) we still get the full field name including its parents. See XW-571 for more details.

  Parameters:
    `field` -
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.